/*
Button

  Turns on and off a light emitting diode(LED) connected to digital pin 13,
  when pressing a pushbutton attached to pin 2.

  The circuit:
  - LED attached from pin 13 to ground
  - pushbutton attached to pin 2 from +5V
  - 10K resistor attached to pin 2 from ground

  - Note: on most Arduinos there is already an LED on the board
    attached to pin 13.

  created 2005
  by DojoDave <http://www.0j0.org>
  modified 30 Aug 2011
  by Tom Igoe

  This example code is in the public domain.

  http://www.arduino.cc/en/Tutorial/Button
*/

// constants won't change. They're used here to set pin numbers:
const int N1GaucheGDMainPin =  13;
const int N2AvanceARVoitPin =  12;
const int N1AlimGDMainPin =  10;
const int N1SortSRMainPin =  10;
const int N2AlimARVoitPin = 9;
const int N1AlimSRMainPin =  8;
const int N1LumierePin = 7;
const int N1DroiteVoitPin = 6;
const int N2GaucheVoitPin = 5;

// variables will change:
int B1Pin = 53;         // variable for reading the pushbutton status
int B2Pin = 52;
int B3Pin = 51;
int B4Pin = 50;
int B5Pin = 49;

// variables will change:
int LavanceState = 0;         // variable for reading the pushbutton status
int LreculeState = 0;
int LgaucheState = 0;
int LdroiteState = 0;
bool LobstacleState = 0;

int  LumiereState = 0;


int incomingByte = 0;

bool Ok = 1;
bool Okmanu = 1;
bool Okdistant = 1;

void setup() {
  // initialize the LED pin as an output:
  pinMode(N1GaucheGDMainPin, OUTPUT);
  pinMode(N2AvanceARVoitPin, OUTPUT);
  pinMode(N1AlimGDMainPin, OUTPUT);
  pinMode(N1SortSRMainPin, OUTPUT);
  pinMode(N2AlimARVoitPin, OUTPUT);
  pinMode(N1AlimSRMainPin, OUTPUT);
  pinMode(N1LumierePin, OUTPUT);
  pinMode(N1DroiteVoitPin, OUTPUT);
  pinMode(N2GaucheVoitPin, OUTPUT);
  // initialize the pushbutton pin as an input:
  //
  pinMode(B1Pin, INPUT_PULLUP);
  digitalWrite(B1Pin, HIGH);
  pinMode(B2Pin, INPUT_PULLUP);
  digitalWrite(B2Pin, HIGH);
  pinMode(B3Pin, INPUT_PULLUP);
  digitalWrite(B3Pin, HIGH);
  pinMode(B4Pin, INPUT_PULLUP);
  digitalWrite(B4Pin, HIGH);
  pinMode(B5Pin, INPUT_PULLUP);
  digitalWrite(B5Pin, HIGH);
  Serial.begin(9600);

  
}

void scan() {
  
}

void loop() {
  // read the state of the pushbutton value:
  Ok = Okmanu or Okdistant;
  LavanceState = digitalRead(B1Pin);
  LreculeState = digitalRead(B2Pin);
  LgaucheState = digitalRead(B3Pin);
  LdroiteState = digitalRead(B4Pin);
  LumiereState = digitalRead(B5Pin);
  LobstacleState = HIGH;
  //LobstacleState = digitalRead(B6Pin);

  // check if the pushbutton is pressed. If it is, the buttonState is HIGH:
  if(Serial.available()>0) {
  //  digitalWrite(RdroitePin, not LdroiteState);
      Okdistant=1;
      char data = Serial.read();
      char str[2];
      str[0] = data;
      Serial.print(str);
      
      //aller à droite
      if(str[0]=='d'){
        digitalWrite(N1DroiteVoitPin, LOW);
      }
      //ne plus aller à droite
      if(str[0]=='D'){
        digitalWrite(N1DroiteVoitPin, HIGH);
      }
      
      //aller à gauche
      if(str[0]=='g'){
        digitalWrite(N2GaucheVoitPin, LOW);
      }
      //ne plus aller à gauche
      if(str[0]=='G'){
        digitalWrite(N2GaucheVoitPin, HIGH);
      }
      
      //avancer
      if(str[0]=='a'){
        digitalWrite(N2AlimARVoitPin,LOW);
        digitalWrite(N2AvanceARVoitPin, LOW);
      }
      //ne plus avancer
      if(str[0]=='A'){
        digitalWrite(N2AlimARVoitPin,HIGH);
      }
      
      //reculer
      if(str[0]=='r'){
        digitalWrite(N2AlimARVoitPin,LOW);
        digitalWrite(N2AvanceARVoitPin, HIGH);
      }
      //ne plus reculer
      if(str[0]=='R'){
        digitalWrite(N2AlimARVoitPin,HIGH);
      }
     
      //deplier bras
      if(str[0]=='t'){
        digitalWrite(N1AlimSRMainPin,LOW);
        digitalWrite(N1SortSRMainPin, LOW);
      }
      //ne plus deplier bras
      if(str[0]=='T'){
        digitalWrite(N1AlimSRMainPin,HIGH);
      }

      //rentrer bras
      if(str[0]=='e'){
        digitalWrite(N1AlimSRMainPin,LOW);
        digitalWrite(N1SortSRMainPin, HIGH);
      }
      //ne plus rentrer bras
      if(str[0]=='E'){
        digitalWrite(N1AlimSRMainPin,HIGH);
      }

      //aller bras à gauche
      if(str[0]=='z'){
        digitalWrite(N1AlimGDMainPin,LOW);
        digitalWrite(N1GaucheGDMainPin, LOW);
      }
      //ne plus aller bras à gauche
      if(str[0]=='Z'){
        digitalWrite(N1AlimGDMainPin,HIGH);
      }

      //aller bras à droite
      if(str[0]=='y'){
        digitalWrite(N1AlimGDMainPin,LOW);
        digitalWrite(N1GaucheGDMainPin, HIGH);
      }
      //ne plus aller bras à droite
      if(str[0]=='Y'){
        digitalWrite(N1AlimGDMainPin,HIGH);
      }

      //allumer lumiere
      if(str[0]=='l'){
        digitalWrite(N1LumierePin,LOW);
      }
      //eteindre lumiere
      if(str[0]=='L'){
        digitalWrite(N1LumierePin,HIGH);
      }


      //ne plus activer le mode distant
      if(str[0]=='S'){
        Okdistant=0;
      }

  }
  
  if (LobstacleState == HIGH) {
    Okmanu=0;
  }
  if (LobstacleState == LOW) {
    Okmanu=1;
  }
  if (not Ok){
    //digitalWrite(RavancePin, not LavanceState);
    //digitalWrite(RreculePin, not LreculeState);
    //digitalWrite(RgauchePin, not LgaucheState);
    //digitalWrite(RdroitePin, not LdroiteState);
  }
}

