/*
  Button

  Turns on and off a light emitting diode(LED) connected to digital pin 13,
  when pressing a pushbutton attached to pin 2.

  The circuit:
  - LED attached from pin 13 to ground
  - pushbutton attached to pin 2 from +5V
  - 10K resistor attached to pin 2 from ground

  - Note: on most Arduinos there is already an LED on the board
    attached to pin 13.

  created 2005
  by DojoDave <http://www.0j0.org>
  modified 30 Aug 2011
  by Tom Igoe

  This example code is in the public domain.

  http://www.arduino.cc/en/Tutorial/Button
*/

// constants won't change. They're used here to set pin numbers:
const int BavancePin = 2;
const int BreculePin = 3;
const int BgauchePin = 4;
const int BdroitePin = 5;
const int BobstaclePin = 6;
const int RavancePin =  13;      // the number of the LED pin
const int RreculePin =  12;
const int RgauchePin =  11;
const int RdroitePin =  10;
const int RtetegauchePin = 9;

// variables will change:
int LavanceState = 0;         // variable for reading the pushbutton status
int LreculeState = 0;
int LgaucheState = 0;
int LdroiteState = 0;
int LobstacleState = 0;

int incomingByte = 0;

bool Ok = 1;
bool Okmanu = 1;
bool Okdistant = 1;

void setup() {
  // initialize the LED pin as an output:
  pinMode(RavancePin, OUTPUT);
  pinMode(RreculePin, OUTPUT);
  pinMode(RgauchePin, OUTPUT);
  pinMode(RdroitePin, OUTPUT);
  pinMode(RtetegauchePin, OUTPUT);
  // initialize the pushbutton pin as an input:
  //
  pinMode(BavancePin, INPUT_PULLUP);
  digitalWrite(BavancePin, HIGH);
  pinMode(BreculePin, INPUT_PULLUP);
  digitalWrite(BreculePin, HIGH);
  pinMode(BgauchePin, INPUT_PULLUP);
  digitalWrite(BgauchePin, HIGH);
  pinMode(BdroitePin, INPUT_PULLUP);
  digitalWrite(BdroitePin, HIGH);
  pinMode(BobstaclePin, INPUT_PULLUP);
  digitalWrite(BobstaclePin, HIGH);
  Serial.begin(9600);
}

void scan() {
  
}

void loop() {
  // read the state of the pushbutton value:
  Ok = Okmanu or Okdistant;
  LavanceState = digitalRead(BavancePin);
  LreculeState = digitalRead(BreculePin);
  LgaucheState = digitalRead(BgauchePin);
  LdroiteState = digitalRead(BdroitePin);
  LobstacleState = digitalRead(BobstaclePin);

  // check if the pushbutton is pressed. If it is, the buttonState is HIGH:
  if(Serial.available()>0) {
  //  digitalWrite(RdroitePin, not LdroiteState);
      Okdistant=1;
      char data = Serial.read();
      char str[2];
      str[0] = data;
      Serial.print(str);
      //aller à droite
      if(str[0]=='d'){
        digitalWrite(RdroitePin, HIGH);
      }
      //ne plus aller à droite
      if(str[0]=='D'){
        digitalWrite(RdroitePin, LOW);
      }
      //aller à gauche
      if(str[0]=='g'){
        digitalWrite(RgauchePin, HIGH);
      }
      //ne plus aller à gauche
      if(str[0]=='G'){
        digitalWrite(RgauchePin, LOW);
      }
      //avancer
      if(str[0]=='a'){
        digitalWrite(RavancePin, HIGH);
      }
      //ne plus avancer
      if(str[0]=='A'){
        digitalWrite(RavancePin, LOW);
      }
      //reculer
      if(str[0]=='r'){
        digitalWrite(RreculePin, HIGH);
      }
      //ne plus reculer
      if(str[0]=='R'){
        digitalWrite(RreculePin, LOW);
      }
      //deplier bras
      if(str[0]=='t'){
        digitalWrite(RtetegauchePin, HIGH);
      }
      //ne plus deplier bras
      if(str[0]=='T'){
        digitalWrite(RtetegauchePin, LOW);
      }
      //ne plus activer le mode distant
      if(str[0]=='S'){
        Okdistant=0;
      }

  }
  
  if (LobstacleState == HIGH) {
    Okmanu=0;
  }
  if (LobstacleState == LOW) {
    Okmanu=1;
  }
  if (not Ok){
    digitalWrite(RavancePin, not LavanceState);
    digitalWrite(RreculePin, not LreculeState);
    digitalWrite(RgauchePin, not LgaucheState);
    digitalWrite(RdroitePin, not LdroiteState);
  }
}

